package xiaoqu.home.open.model.db1;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 站点策略
 * </p>
 *
 * @author wh
 * @since 2024-04-25
 */
@TableName("district_strategy")
@ApiModel(value="DistrictStrategy对象", description="站点策略")
public class DistrictStrategy extends Model<DistrictStrategy> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "站点ID")
    @TableField("district_id")
    private Long districtId;

    @ApiModelProperty(value = "是否打开开锁开关")
    @TableField("supervisor_id")
    private Long supervisorId;

    @ApiModelProperty(value = "报警值次数")
    @TableField("warning_time")
    private Integer warningTime;

    @ApiModelProperty(value = "第一报警值")
    @TableField("warning")
    private Integer warning;

    @ApiModelProperty(value = "第二报警值")
    @TableField("warning2")
    private Integer warning2;

    @ApiModelProperty(value = "第三报警值")
    @TableField("warning3")
    private Integer warning3;

    @ApiModelProperty(value = "纸量百分比预警")
    @TableField("paper_percent_warn")
    private Integer paperPercentWarn;

    @ApiModelProperty(value = "积分-状态")
    @TableField("point_state")
    private Integer pointState;

    @ApiModelProperty(value = "任务-打卡关联-状态")
    @TableField("assignment_work_state")
    private Integer assignmentWorkState;

    @ApiModelProperty(value = "空气检测器折线开关")
    @TableField("air_state")
    private Integer airState;

    @ApiModelProperty(value = "出纸机对应的纸规格")
    @TableField("pos_device_paper_norm")
    private String posDevicePaperNorm;

    @ApiModelProperty(value = "擦手纸机对应的纸规格")
    @TableField("toilet_device_paper_norm")
    private String toiletDevicePaperNorm;

    @ApiModelProperty(value = "消息开关")
    @TableField("message_flag")
    private Integer messageFlag;

    @TableField("report_flag")
    private Integer reportFlag;

    @ApiModelProperty(value = "在线设备数")
    @TableField("hardware_count")
    private Integer hardwareCount;

    @ApiModelProperty(value = "人流开关")
    @TableField("visitor_flag")
    private Integer visitorFlag;

    @ApiModelProperty(value = "用纸长度开关")
    @TableField("paper_length_flag")
    private Integer paperLengthFlag;

    @ApiModelProperty(value = "位置占用率开关")
    @TableField("positions_flag")
    private Integer positionsFlag;

    @ApiModelProperty(value = "任务开关")
    @TableField("assignment_flag")
    private Integer assignmentFlag;

    @ApiModelProperty(value = "清洁开关")
    @TableField("clean_flag")
    private Integer cleanFlag;

    @ApiModelProperty(value = "锁机器开关0:关闭;1:启用")
    @TableField("lock_machine_flag")
    private Integer lockMachineFlag;

    @ApiModelProperty(value = "罚款金额")
    @TableField("fine_money")
    private Double fineMoney;

    @ApiModelProperty(value = "公共服务访问地址")
    @TableField("public_service_url")
    private String publicServiceUrl;

    @ApiModelProperty(value = "报事报修开关0:关闭;1:启用")
    @TableField("event_repair_flag")
    private Integer eventRepairFlag;

    @ApiModelProperty(value = "rfid使用标记(0:未使用;1:使用)")
    @TableField("rfid_use_flag")
    private Integer rfidUseFlag;

    @ApiModelProperty(value = "对管校准锁定开关")
    @TableField("calibrated_flag")
    private Integer calibratedFlag;

    @ApiModelProperty(value = "低电量语音通知")
    @TableField("power_warning")
    private Integer powerWarning;

    @ApiModelProperty(value = "测试日期")
    @TableField("test_date")
    private LocalDate testDate;

    @ApiModelProperty(value = "履约日期")
    @TableField("honour_date")
    private LocalDate honourDate;

    @ApiModelProperty(value = "撤机日期")
    @TableField("weaning_date")
    private LocalDate weaningDate;

    @ApiModelProperty(value = "纸销售类型0:大包;1:实用实销;2:代理")
    @TableField("paper_sales_type")
    private Integer paperSalesType;

    @ApiModelProperty(value = "设备销售类型0:自有;1:售出")
    @TableField("device_sales_type")
    private Integer deviceSalesType;

    @ApiModelProperty(value = "站点状态0:测试;1:履约;2:演示;3:撤机")
    @TableField("district_state")
    private Integer districtState;

    @ApiModelProperty(value = "低纸语音开关状态0:关;1:开")
    @TableField("lower_paper_state")
    private Integer lowerPaperState;

    @ApiModelProperty(value = "无纸语音开关状态0:关;1:开")
    @TableField("no_paper_state")
    private Integer noPaperState;

    @ApiModelProperty(value = "语音播报等待时间")
    @TableField("wait_times")
    private Integer waitTimes;

    @ApiModelProperty(value = "预计测试天数")
    @TableField("test_days")
    private Integer testDays;

    @ApiModelProperty(value = "积分扣减")
    @TableField("point_deduction")
    private Integer pointDeduction;

    @ApiModelProperty(value = "非法纸禁出功能(0:关闭;1:启用)")
    @TableField("illegal_paper_disable")
    private Integer illegalPaperDisable;

    @ApiModelProperty(value = "有效人次时间标准")
    @TableField("effective_use_time")
    private Integer effectiveUseTime;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public Long getSupervisorId() {
        return supervisorId;
    }

    public void setSupervisorId(Long supervisorId) {
        this.supervisorId = supervisorId;
    }

    public Integer getWarningTime() {
        return warningTime;
    }

    public void setWarningTime(Integer warningTime) {
        this.warningTime = warningTime;
    }

    public Integer getWarning() {
        return warning;
    }

    public void setWarning(Integer warning) {
        this.warning = warning;
    }

    public Integer getWarning2() {
        return warning2;
    }

    public void setWarning2(Integer warning2) {
        this.warning2 = warning2;
    }

    public Integer getWarning3() {
        return warning3;
    }

    public void setWarning3(Integer warning3) {
        this.warning3 = warning3;
    }

    public Integer getPaperPercentWarn() {
        return paperPercentWarn;
    }

    public void setPaperPercentWarn(Integer paperPercentWarn) {
        this.paperPercentWarn = paperPercentWarn;
    }

    public Integer getPointState() {
        return pointState;
    }

    public void setPointState(Integer pointState) {
        this.pointState = pointState;
    }

    public Integer getAssignmentWorkState() {
        return assignmentWorkState;
    }

    public void setAssignmentWorkState(Integer assignmentWorkState) {
        this.assignmentWorkState = assignmentWorkState;
    }

    public Integer getAirState() {
        return airState;
    }

    public void setAirState(Integer airState) {
        this.airState = airState;
    }

    public String getPosDevicePaperNorm() {
        return posDevicePaperNorm;
    }

    public void setPosDevicePaperNorm(String posDevicePaperNorm) {
        this.posDevicePaperNorm = posDevicePaperNorm;
    }

    public String getToiletDevicePaperNorm() {
        return toiletDevicePaperNorm;
    }

    public void setToiletDevicePaperNorm(String toiletDevicePaperNorm) {
        this.toiletDevicePaperNorm = toiletDevicePaperNorm;
    }

    public Integer getMessageFlag() {
        return messageFlag;
    }

    public void setMessageFlag(Integer messageFlag) {
        this.messageFlag = messageFlag;
    }

    public Integer getReportFlag() {
        return reportFlag;
    }

    public void setReportFlag(Integer reportFlag) {
        this.reportFlag = reportFlag;
    }

    public Integer getHardwareCount() {
        return hardwareCount;
    }

    public void setHardwareCount(Integer hardwareCount) {
        this.hardwareCount = hardwareCount;
    }

    public Integer getVisitorFlag() {
        return visitorFlag;
    }

    public void setVisitorFlag(Integer visitorFlag) {
        this.visitorFlag = visitorFlag;
    }

    public Integer getPaperLengthFlag() {
        return paperLengthFlag;
    }

    public void setPaperLengthFlag(Integer paperLengthFlag) {
        this.paperLengthFlag = paperLengthFlag;
    }

    public Integer getPositionsFlag() {
        return positionsFlag;
    }

    public void setPositionsFlag(Integer positionsFlag) {
        this.positionsFlag = positionsFlag;
    }

    public Integer getAssignmentFlag() {
        return assignmentFlag;
    }

    public void setAssignmentFlag(Integer assignmentFlag) {
        this.assignmentFlag = assignmentFlag;
    }

    public Integer getCleanFlag() {
        return cleanFlag;
    }

    public void setCleanFlag(Integer cleanFlag) {
        this.cleanFlag = cleanFlag;
    }

    public Integer getLockMachineFlag() {
        return lockMachineFlag;
    }

    public void setLockMachineFlag(Integer lockMachineFlag) {
        this.lockMachineFlag = lockMachineFlag;
    }

    public Double getFineMoney() {
        return fineMoney;
    }

    public void setFineMoney(Double fineMoney) {
        this.fineMoney = fineMoney;
    }

    public String getPublicServiceUrl() {
        return publicServiceUrl;
    }

    public void setPublicServiceUrl(String publicServiceUrl) {
        this.publicServiceUrl = publicServiceUrl;
    }

    public Integer getEventRepairFlag() {
        return eventRepairFlag;
    }

    public void setEventRepairFlag(Integer eventRepairFlag) {
        this.eventRepairFlag = eventRepairFlag;
    }

    public Integer getRfidUseFlag() {
        return rfidUseFlag;
    }

    public void setRfidUseFlag(Integer rfidUseFlag) {
        this.rfidUseFlag = rfidUseFlag;
    }

    public Integer getCalibratedFlag() {
        return calibratedFlag;
    }

    public void setCalibratedFlag(Integer calibratedFlag) {
        this.calibratedFlag = calibratedFlag;
    }

    public Integer getPowerWarning() {
        return powerWarning;
    }

    public void setPowerWarning(Integer powerWarning) {
        this.powerWarning = powerWarning;
    }

    public LocalDate getTestDate() {
        return testDate;
    }

    public void setTestDate(LocalDate testDate) {
        this.testDate = testDate;
    }

    public LocalDate getHonourDate() {
        return honourDate;
    }

    public void setHonourDate(LocalDate honourDate) {
        this.honourDate = honourDate;
    }

    public LocalDate getWeaningDate() {
        return weaningDate;
    }

    public void setWeaningDate(LocalDate weaningDate) {
        this.weaningDate = weaningDate;
    }

    public Integer getPaperSalesType() {
        return paperSalesType;
    }

    public void setPaperSalesType(Integer paperSalesType) {
        this.paperSalesType = paperSalesType;
    }

    public Integer getDeviceSalesType() {
        return deviceSalesType;
    }

    public void setDeviceSalesType(Integer deviceSalesType) {
        this.deviceSalesType = deviceSalesType;
    }

    public Integer getDistrictState() {
        return districtState;
    }

    public void setDistrictState(Integer districtState) {
        this.districtState = districtState;
    }

    public Integer getLowerPaperState() {
        return lowerPaperState;
    }

    public void setLowerPaperState(Integer lowerPaperState) {
        this.lowerPaperState = lowerPaperState;
    }

    public Integer getNoPaperState() {
        return noPaperState;
    }

    public void setNoPaperState(Integer noPaperState) {
        this.noPaperState = noPaperState;
    }

    public Integer getWaitTimes() {
        return waitTimes;
    }

    public void setWaitTimes(Integer waitTimes) {
        this.waitTimes = waitTimes;
    }

    public Integer getTestDays() {
        return testDays;
    }

    public void setTestDays(Integer testDays) {
        this.testDays = testDays;
    }

    public Integer getPointDeduction() {
        return pointDeduction;
    }

    public void setPointDeduction(Integer pointDeduction) {
        this.pointDeduction = pointDeduction;
    }

    public Integer getIllegalPaperDisable() {
        return illegalPaperDisable;
    }

    public void setIllegalPaperDisable(Integer illegalPaperDisable) {
        this.illegalPaperDisable = illegalPaperDisable;
    }

    public Integer getEffectiveUseTime() {
        return effectiveUseTime;
    }

    public void setEffectiveUseTime(Integer effectiveUseTime) {
        this.effectiveUseTime = effectiveUseTime;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "DistrictStrategy{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", districtId=" + districtId +
        ", supervisorId=" + supervisorId +
        ", warningTime=" + warningTime +
        ", warning=" + warning +
        ", warning2=" + warning2 +
        ", warning3=" + warning3 +
        ", paperPercentWarn=" + paperPercentWarn +
        ", pointState=" + pointState +
        ", assignmentWorkState=" + assignmentWorkState +
        ", airState=" + airState +
        ", posDevicePaperNorm=" + posDevicePaperNorm +
        ", toiletDevicePaperNorm=" + toiletDevicePaperNorm +
        ", messageFlag=" + messageFlag +
        ", reportFlag=" + reportFlag +
        ", hardwareCount=" + hardwareCount +
        ", visitorFlag=" + visitorFlag +
        ", paperLengthFlag=" + paperLengthFlag +
        ", positionsFlag=" + positionsFlag +
        ", assignmentFlag=" + assignmentFlag +
        ", cleanFlag=" + cleanFlag +
        ", lockMachineFlag=" + lockMachineFlag +
        ", fineMoney=" + fineMoney +
        ", publicServiceUrl=" + publicServiceUrl +
        ", eventRepairFlag=" + eventRepairFlag +
        ", rfidUseFlag=" + rfidUseFlag +
        ", calibratedFlag=" + calibratedFlag +
        ", powerWarning=" + powerWarning +
        ", testDate=" + testDate +
        ", honourDate=" + honourDate +
        ", weaningDate=" + weaningDate +
        ", paperSalesType=" + paperSalesType +
        ", deviceSalesType=" + deviceSalesType +
        ", districtState=" + districtState +
        ", lowerPaperState=" + lowerPaperState +
        ", noPaperState=" + noPaperState +
        ", waitTimes=" + waitTimes +
        ", testDays=" + testDays +
        ", pointDeduction=" + pointDeduction +
        ", illegalPaperDisable=" + illegalPaperDisable +
        ", effectiveUseTime=" + effectiveUseTime +
        "}";
    }
}
